org.apache.catalina.tribes.group

## Interface RpcCallback

All Known Subinterfaces:
  ExtendedRpcCallback

All Known Implementing Classes:
  AbstractReplicatedMap, LazyReplicatedMap, ReplicatedMap, StaticMembershipProvider

    public interface RpcCallback

The RpcCallback interface is an interface for the Tribes channel to request a response object to a request that came in.

Version:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `leftOver(Serializable msg, Member sender)` If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.
`Serializable` `replyRequest(Serializable msg, Member sender)` Allows sending a response to a received message.

### Method Detail

#### replyRequest

    Serializable replyRequest(Serializable msg,
                              Member sender)

Allows sending a response to a received message.

Parameters:
  `msg` - The message
  `sender` - Member
Returns:
  Serializable object, `null` if no reply should be sent

#### leftOver

    void leftOver(Serializable msg,
                  Member sender)

If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.

Parameters:
  `msg` - The message
  `sender` - Member